Skip to content

Select theme

Assign group members

PUT
/{organization}/projects/{projectId}/groups/{groupId}/members
curl --request PUT \
--url https://app.civillo.com/api/v1/example/projects/1/groups/example/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "memberIds": [ "73ad7720-b708-4246-86ac-cb15dd9fe3c0" ] }'

Add user associations to this group. This action will add users provided in the request body, ignoring users that are already associated or do not exist. This action cannot not remove any user associations.

organization
required
string

The organization nickname

projectId
required
integer

The project id

groupId
required
string

The group id

The user UUIDs to be newly associated with the group

Media typeapplication/json
object
memberIds
Array<string>
Example
{
"memberIds": [
"73ad7720-b708-4246-86ac-cb15dd9fe3c0"
]
}

Successful response

Bad Request

Unauthorized

Forbidden